## libchdr 0.0~git20230918.9108f34%2Bdfsg

=== debian/changelog ===
libchdr (0.0~git20230918.9108f34+dfsg-2) unstable; urgency=low

  * Initial release. Closes: #1042371

 -- Alexandre Detiste <tchet@debian.org>  Mon, 01 Jan 2024 20:09:34 +0100
