=== debian/changelog ===
libchdr (0.0~git20230918.9108f34+dfsg-3) unstable; urgency=medium

  [ Alexandre Detiste ]
  Apply multi-arch hints. "libchdr0: Add Multi-Arch: same."

  [ David James ]
  * libchdr: fix FTBFS on armhf (Closes: #1069527)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 04 Jun 2024 21:45:53 +0200
