=== debian/control ===
Source: libchdr
Rules-Requires-Root: no
Standards-Version: 4.6.2.0
Build-Depends:
 debhelper-compat (= 13),
 cmake (>= 3.9),
 zlib1g-dev,
Homepage: https://github.com/rtissera/libchdr
Priority: optional
Section: libs
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Vcs-Git: https://salsa.debian.org/games-team/libchdr.git
Vcs-Browser: https://salsa.debian.org/games-team/libchdr

Package: libchdr0
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Multi-Arch: same
Description: standalone library for reading MAME CHDv1-v5 formats
 The code is based off of MAME's old C codebase which read up to CHDv4
 with OS-dependent features removed, and CHDv5 support backported from
 MAME's current C++ codebase.
 .
 CHD is a lossless compression format originally developed for MAME,
 for the hard-drive contents of certain arcade machines. It has since
 been used in several other emulators as a means of storing CD-ROM game
 data. For CD-based games, it compresses the contents of a disc image
 (.cue + .bin files) to a single .chd file.

Package: libchdr-dev
Section: libdevel
Architecture: any
Depends: libchdr0 (= ${binary:Version}), ${misc:Depends}
Description: standalone library for reading MAME CHDv1-v5 formats - dev
 The code is based off of MAME's old C codebase which read up to CHDv4
 with OS-dependent features removed, and CHDv5 support backported from
 MAME's current C++ codebase.
 .
 CHD is a lossless compression format originally developed for MAME,
 for the hard-drive contents of certain arcade machines. It has since
 been used in several other emulators as a means of storing CD-ROM game
 data. For CD-based games, it compresses the contents of a disc image
 (.cue + .bin files) to a single .chd file.
 .
 This package contains development files for libchdr.
