=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -D_LARGEFILE64_SOURCE

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DWITH_SYSTEM_ZLIB=ON
