=== debian/changelog ===
libchdr (0.0~git20240929.aaca599+dfsg-1) unstable; urgency=medium

  * New upstream version 0.0~git20240929.aaca599+dfsg (Closes: #1084991)
  * Add a patch to de-vendor libzstd

 -- Alexandre Detiste <tchet@debian.org>  Wed, 23 Oct 2024 09:29:41 +0200
