=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  cmake (>= 3.9),
+ libzstd-dev,
  zlib1g-dev,
 Homepage: https://github.com/rtissera/libchdr
 Priority: optional
@@ -35,6 +36,7 @@
 Section: libdevel
 Architecture: any
 Depends: libchdr0 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: standalone library for reading MAME CHDv1-v5 formats - dev
  The code is based off of MAME's old C codebase which read up to CHDv4
  with OS-dependent features removed, and CHDv5 support backported from
