=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg,mode=git \
https://github.com/rtissera/libchdr.git HEAD
