=== debian/changelog ===
libchdr (0.0~git20250608.8bba774+dfsg-1) unstable; urgency=medium

  * New upstream version 0.0~git20250608.8bba774+dfsg

 -- Sébastien Noel <sebastien@twolife.be>  Sat, 27 Sep 2025 10:28:54 +0200
