=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DWITH_SYSTEM_ZLIB=ON
+	dh_auto_configure -- -DWITH_SYSTEM_ZLIB=ON -DWITH_SYSTEM_ZSTD=ON
