=== debian/watch ===
Version: 5
Mode: git
Source: https://github.com/rtissera/libchdr.git
Matching-Pattern: HEAD
Dversionmangle: auto
Repacksuffix: +dfsg
